:root {
    --couleur1 : #27313f;
    --couleur2 : #f1eff0;
    --couleur3 : #333;
    --decalage-bouton-slider : 20px;
    --taille-texte: 18px;
    --largeur-fluid : 1170px;
    --hauteur-header : 150px;
    --font : 'Resolve Sans', Calibri, 'sans-serif';
    --font-weight : 500;
}

@font-face {
    font-family: 'Resolve Sans';
    src: url(/fonts/Resolve-Light.otf), url('/fonts/Resolve-Light.woff2');
    font-display: swap;
}

html {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }
  

body {
    margin: 0;
    /* overflow-x: hidden; */ 
    background-color: var(--couleur2);
    font-family: var(--font);
    color: var(--couleur3);
}

h2, h3 {
    text-transform: uppercase;
    font-size: var(--taille-texte);
    font-style: normal;
}

strong {
    font-weight: var(--font-weight);
}

b, b * {
    font-weight: 900 !important;
    font-family: 'Resolve Sans';
}

p {
    font-size: var(--taille-texte);
    font-style: normal;
    font-weight: var(--font-weight);
}

main {
    min-height: 80vh;
}

main > section {
    padding: 25px 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: var(--largeur-fluid);
    margin: 0 auto;
}

.col2 {
    display: grid;
    grid-template-columns: 24% 75%;
    align-items: start;
}

@media all and (max-width : 1200px) {
    .col2 {
        grid-template-columns: 1fr;
    }
}

.separation {
    width: 100%;
    height: 3px;
    background-color: var(--couleur1);
    margin: 0 auto;
    padding: 0;
}

@media all and (max-width : 1200px) {
    .separation {
        display: none;
    }
}






/***************/
/* HEADER */
/***************/

header {
    position: fixed;
    top: 0;
    z-index: 998;
    width: 100%;
    background-color: var(--couleur2);
}

header > section {
    height: var(--hauteur-header);
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: var(--largeur-fluid);
    margin: 0 auto;
    padding: 0 25px;
}

header img {
    width: 125px;
    height: 121px;
}

header nav {
    display: flex;
}

header nav a {
    display: inline-block;
    margin-left: 50px;
    color: var(--couleur3);
    text-decoration: none;
}

header nav a:hover {
    font-weight: bolder;
}

main {
    margin-top: var(--hauteur-header);
}

header > section, header img {
    transition: all 2s;
}

.scrolled > section {
    --hauteur-header : 100px;
}

.scrolled img {
    width: 83px;
    height: 80px;
}





/***************/
/* BOUTON MENU */
/***************/

.btnmenu-container{
    display: inline-block;
    width: 23px;
    height: 23px;
}

.btnmenu > span, .btnmenu > span::before, .btnmenu > span::after {
    background-color: var(--couleur1);
    content: '';
    position: relative;
    display: block;
    width: 23px;
    height: 2px;
    
}

.btnmenu {
    background-color: transparent;
    border: none;
    width: 40px;
    height: 40px;
}

.btnmenu > span::before {
    top: 8px;
}

.btnmenu > span::after {
    top: 16px;
}

@media all and (min-width: 1200px) {
    header .btnmenu-container {
        display: none;
    }
}

@media all and (max-width: 1200px) {
    header nav {
        display: none;
    }

    header .btnmenu-container a {
        display: inline-block;
        width: 23px;
        height: 23px;
    }

    .ouvert {
        display: flex;
        flex-direction: column;
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        background-color: #fff;
        padding-top: 50px;
    }
    .ouvert a {
        display: inline-block;
        margin: 10px 90px 10px 20px;
        font-size: var(--taille-texte);
        height: 60px;
        text-transform: uppercase;
        font-weight: bold;
    }

    .btnmenu.fermer > span::before {
        content: '\00D7'; /* Caractère Unicode de croix (×) */
        position: relative;
        top: -20px;
        left: 0;
        font-size: 50px; /* Ajustez la taille de la croix selon vos besoins */
    }

    .btnmenu.fermer > span, .btnmenu.fermer > span::before, .btnmenu.fermer > span::after {
        background-color: transparent;
    }
}






/***************/
/* SLIDER */
/***************/

/* Styles pour le conteneur du slider */
.slider-container {
    position: relative;
    /* dysplay et height via javascript  */
    display: none;
}

/* Styles pour les images du slider */
.slider-image {
    /* Positionne les images les unes sur les autres */
    position: absolute;
    /* top: 0; */
    left: 0;
    transition: opacity 3s ease; /* Transition douce entre les changements d'image */
}

.slider-container, .slider-image {             
    width: 100%;
    height: auto;
}

/* Style pour les boutons précédent et suivant */
.slider-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    padding: 10px;
    background-color: white;
    width: 40px;
    height: 40px;
    color: var(--couleur1);
    border: none;
    outline: none;
}

.slider-button.prev {
    left: var(--decalage-bouton-slider);
}

.slider-button.next {
    right: var(--decalage-bouton-slider);
}





/***************/
/* LIGHTBOX */
/***************/

.thumbnail-container {
    display: grid;
    box-sizing: border-box;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 20px;
}

@media all and (max-width : 1200px) {
    .thumbnail-container {
        grid-template-columns: 1fr 1fr;
    }
}

@media all and (max-width : 640px) {
    .thumbnail-container {
        grid-template-columns: 1fr;
    }
}

.thumbnail-container > div {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.thumbnail {
    width: 100%;
    /* padding: 10px; */
    cursor: pointer;
}

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    background: rgba(0, 0, 0, 0.9);
}

#lightboxImage {
    max-width: 80%;
    max-height: 80%;
    margin: auto;
    display: block;
}

.close-btn, .prev-btn, .next-btn {
    color: white;
    font-size: 2em;
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.close-btn {
    top: 20px;
    right: 20px;
}

.prev-btn {
    left: 20px;
}

.next-btn {
    right: 20px;
}

.affiche-plus {
    display: inline-block;
    width: 90px;
    height: 46px;
    line-height: 46px;
    background-color: white;
    color: var(--couleur1);
    text-decoration: none;
    text-align: center;
    margin: 20px auto;
}













/***************/
/* CONTACT */
/***************/

.contact {
    background-color: var(--couleur1);
    color: white;
    padding-top: 20px;
}

.contact > div {
    max-width: var(--largeur-fluid);
    margin: 0 auto;
    padding: 30px;
    gap: 30px;
    /* grid-template-columns: 40% 60%; */
}

form {
    display: flex;
    flex-direction: column;
}

form > div {
    display: flex;
    flex-direction: column;
    margin-top: 20px;
    max-width: 800px;
}

form label {
    margin-bottom: 10px;
}

form input[type="text"], form input[type="email"], form input[type="tel"], form textarea {
    width: 100%;
    height: 30px;
}

form textarea {
    min-height: 100px;
}

form .row {
    flex-direction: row;
}

form .row > div {
    margin-right: 25px;
    display: flex;
    flex-direction: column;
    width: 100%;
}

form .row > div:last-child {
    margin-right: 0;
}

.consentement {
    display: block;
    text-align: justify;
}

.h-captcha {
    align-items: center;
}

form input[type="submit"] {
    padding: 10px 15px;
    display: inline-block;
    width: auto;
}

.alert {
    color: red;
}

#messageenvoye {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.9);
    justify-content: center;
    align-items: center;
    z-index: 999;
}







/***************/
/* FOOTER */
/***************/

footer p {
    text-align: center;
    font-size: 15px;
    font-style: italic;
}

footer p a {
    color: black;
}

footer .insta a {
    display: inline-flex;
    align-items: center;
    line-height: 30px;
    padding: 0 15px;
    background-color: #1874ca;
    border-radius: 5px;
    color: white;
    text-decoration: none;
}

footer .insta svg {
    height: 15px;
    margin-right: 15px;
}